Subject: [PATCH 3/5] omap3: cm-t3517: add support for usb host.

From: [email-masked] (Igor Grinberg)
Date: Mon, 20 Sep 2010 16:46:34 +0200

On 09/20/10 08:39, Felipe Balbi wrote:
> On Thu, Sep 16, 2010 at 04:12:06AM -0500, Igor Grinberg wrote:
>> Yes it will, but even if the hub reset gpio is for some reason unavailable,
>> we don't want to disable ehci completely...
>
> then you should set the gpio to an invalid number, otherwise you might
> cause lots of WARN() to appear due to fiddling with unrequested gpio.

What gpio should be set to invalid number?
It is a reset gpio for usb _hub_ and it has nothing to do with ehci.
Can you please, explain the case when I might cause those WARN()'s?

-- 
Regards,
Igor.